libzypp 17.37.10

zypp::GetPairFirst< TPair > Struct Template Reference

Functor taking a `std::pair` returning `std::pair.first`. More...

`#include <zypp-core/base/Iterator.h>`

## Public Member Functions
const TPair::first_type & | operator() (const TPair &pair_r) const

## Detailed Description

template<class TPair>
struct zypp::GetPairFirst< TPair >

Functor taking a `std::pair` returning `std::pair.first`.

See also
  MapKVIteratorTraits

Definition at line 155 of file Iterator.h.

## Member Function Documentation

## ◆ operator()()

template<class TPair>

const TPair::first_type & zypp::GetPairFirst< TPair >::operator() | ( | const TPair & | pair_r | ) | const
| inline

Definition at line 157 of file Iterator.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/Iterator.h